<div class="singlepost"><?php


if ($login) {

$sum = sprintf ("%01.2f", str_replace(',', '.', $_POST['sum']));

/*
$m_orderid = mysql_insert_id();
$desc = base64_encode($cfgURL);
$cu = 'USD';
$cid = cfgSET('cfgPEsid');
$m_key = cfgSET('cfgPEkey');
*/
$m_shop = cfgSET('cfgPEsid');
$m_orderid = $user_id;
$m_amount = $sum;
$m_curr = 'USD';
$m_desc = base64_encode('Пополнение баланса. ' . $cfgURL);
$m_key = cfgSET('cfgPEkey');

$arHash = array(
$m_shop,
$m_orderid,
$m_amount,
$m_curr,
$m_desc,
$m_key
);
$sign = strtoupper(hash('sha256', implode(':', $arHash)));

$url_step='https://payeer.com/merchant/?m_shop='.$m_shop.'&m_orderid=' . $m_orderid . '&m_amount=' . $m_amount . '&m_curr=' . $m_curr . '&m_desc=' . $m_desc . '&m_sign=' . $sign;



?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1251">

<script language="javascript">top.location.href="<?=$url_step;?>";</script>
<title>Перенаправление</title>
</head>
<body bgcolor="#eeeeee" topmargin="0" leftmargin="0">
Вы совершаете депозит через Payeer<br>
Через секунду вы будете перемещены на Оплату.<br>
Если устали ждать жмите <a href="<?=$url_step;?>">здесь!</a>
</body>
</html>
<?


} else {
echo '<p class="er">Вы должны авторизироваться для доступа к этой странице!</p>';
}
?></div>